public static final class CustomAPIPagination.TokenPagination.Builder extends GeneratedMessage.Builder<CustomAPIPagination.TokenPagination.Builder> implements CustomAPIPagination.TokenPaginationOrBuilderUse tokens (custom keys) to get the next page of data.
Protobuf type google.cloud.chronicle.v1.CustomAPIPagination.TokenPagination
Inheritance
java.lang.Object > AbstractMessageLite.Builder<MessageType,BuilderType> > AbstractMessage.Builder<BuilderType> > GeneratedMessage.Builder > CustomAPIPagination.TokenPagination.BuilderImplements
CustomAPIPagination.TokenPaginationOrBuilderStatic Methods
getDescriptor()
public static final Descriptors.Descriptor getDescriptor()| Returns | |
|---|---|
| Type | Description |
Descriptor |
|
Methods
build()
public CustomAPIPagination.TokenPagination build()| Returns | |
|---|---|
| Type | Description |
CustomAPIPagination.TokenPagination |
|
buildPartial()
public CustomAPIPagination.TokenPagination buildPartial()| Returns | |
|---|---|
| Type | Description |
CustomAPIPagination.TokenPagination |
|
clear()
public CustomAPIPagination.TokenPagination.Builder clear()| Returns | |
|---|---|
| Type | Description |
CustomAPIPagination.TokenPagination.Builder |
|
clearNextPageTokenJsonPath()
public CustomAPIPagination.TokenPagination.Builder clearNextPageTokenJsonPath()Required. Enter the field in the API response that contains the URL or token needed to fetch the next page of data.
string next_page_token_json_path = 1 [(.google.api.field_behavior) = REQUIRED];
| Returns | |
|---|---|
| Type | Description |
CustomAPIPagination.TokenPagination.Builder |
This builder for chaining. |
clearQueryParam()
public CustomAPIPagination.TokenPagination.Builder clearQueryParam()Required. Specify the name of the query parameter for next page token in request.
string query_param = 2 [(.google.api.field_behavior) = REQUIRED];
| Returns | |
|---|---|
| Type | Description |
CustomAPIPagination.TokenPagination.Builder |
This builder for chaining. |
getDefaultInstanceForType()
public CustomAPIPagination.TokenPagination getDefaultInstanceForType()| Returns | |
|---|---|
| Type | Description |
CustomAPIPagination.TokenPagination |
|
getDescriptorForType()
public Descriptors.Descriptor getDescriptorForType()| Returns | |
|---|---|
| Type | Description |
Descriptor |
|
getNextPageTokenJsonPath()
public String getNextPageTokenJsonPath()Required. Enter the field in the API response that contains the URL or token needed to fetch the next page of data.
string next_page_token_json_path = 1 [(.google.api.field_behavior) = REQUIRED];
| Returns | |
|---|---|
| Type | Description |
String |
The nextPageTokenJsonPath. |
getNextPageTokenJsonPathBytes()
public ByteString getNextPageTokenJsonPathBytes()Required. Enter the field in the API response that contains the URL or token needed to fetch the next page of data.
string next_page_token_json_path = 1 [(.google.api.field_behavior) = REQUIRED];
| Returns | |
|---|---|
| Type | Description |
ByteString |
The bytes for nextPageTokenJsonPath. |
getQueryParam()
public String getQueryParam()Required. Specify the name of the query parameter for next page token in request.
string query_param = 2 [(.google.api.field_behavior) = REQUIRED];
| Returns | |
|---|---|
| Type | Description |
String |
The queryParam. |
getQueryParamBytes()
public ByteString getQueryParamBytes()Required. Specify the name of the query parameter for next page token in request.
string query_param = 2 [(.google.api.field_behavior) = REQUIRED];
| Returns | |
|---|---|
| Type | Description |
ByteString |
The bytes for queryParam. |
internalGetFieldAccessorTable()
protected GeneratedMessage.FieldAccessorTable internalGetFieldAccessorTable()| Returns | |
|---|---|
| Type | Description |
FieldAccessorTable |
|
isInitialized()
public final boolean isInitialized()| Returns | |
|---|---|
| Type | Description |
boolean |
|
mergeFrom(CustomAPIPagination.TokenPagination other)
public CustomAPIPagination.TokenPagination.Builder mergeFrom(CustomAPIPagination.TokenPagination other)| Parameter | |
|---|---|
| Name | Description |
other |
CustomAPIPagination.TokenPagination |
| Returns | |
|---|---|
| Type | Description |
CustomAPIPagination.TokenPagination.Builder |
|
mergeFrom(CodedInputStream input, ExtensionRegistryLite extensionRegistry)
public CustomAPIPagination.TokenPagination.Builder mergeFrom(CodedInputStream input, ExtensionRegistryLite extensionRegistry)| Parameters | |
|---|---|
| Name | Description |
input |
CodedInputStream |
extensionRegistry |
ExtensionRegistryLite |
| Returns | |
|---|---|
| Type | Description |
CustomAPIPagination.TokenPagination.Builder |
|
| Exceptions | |
|---|---|
| Type | Description |
IOException |
|
mergeFrom(Message other)
public CustomAPIPagination.TokenPagination.Builder mergeFrom(Message other)| Parameter | |
|---|---|
| Name | Description |
other |
Message |
| Returns | |
|---|---|
| Type | Description |
CustomAPIPagination.TokenPagination.Builder |
|
setNextPageTokenJsonPath(String value)
public CustomAPIPagination.TokenPagination.Builder setNextPageTokenJsonPath(String value)Required. Enter the field in the API response that contains the URL or token needed to fetch the next page of data.
string next_page_token_json_path = 1 [(.google.api.field_behavior) = REQUIRED];
| Parameter | |
|---|---|
| Name | Description |
value |
StringThe nextPageTokenJsonPath to set. |
| Returns | |
|---|---|
| Type | Description |
CustomAPIPagination.TokenPagination.Builder |
This builder for chaining. |
setNextPageTokenJsonPathBytes(ByteString value)
public CustomAPIPagination.TokenPagination.Builder setNextPageTokenJsonPathBytes(ByteString value)Required. Enter the field in the API response that contains the URL or token needed to fetch the next page of data.
string next_page_token_json_path = 1 [(.google.api.field_behavior) = REQUIRED];
| Parameter | |
|---|---|
| Name | Description |
value |
ByteStringThe bytes for nextPageTokenJsonPath to set. |
| Returns | |
|---|---|
| Type | Description |
CustomAPIPagination.TokenPagination.Builder |
This builder for chaining. |
setQueryParam(String value)
public CustomAPIPagination.TokenPagination.Builder setQueryParam(String value)Required. Specify the name of the query parameter for next page token in request.
string query_param = 2 [(.google.api.field_behavior) = REQUIRED];
| Parameter | |
|---|---|
| Name | Description |
value |
StringThe queryParam to set. |
| Returns | |
|---|---|
| Type | Description |
CustomAPIPagination.TokenPagination.Builder |
This builder for chaining. |
setQueryParamBytes(ByteString value)
public CustomAPIPagination.TokenPagination.Builder setQueryParamBytes(ByteString value)Required. Specify the name of the query parameter for next page token in request.
string query_param = 2 [(.google.api.field_behavior) = REQUIRED];
| Parameter | |
|---|---|
| Name | Description |
value |
ByteStringThe bytes for queryParam to set. |
| Returns | |
|---|---|
| Type | Description |
CustomAPIPagination.TokenPagination.Builder |
This builder for chaining. |